EnduroX debug logging level

05/25/2018 08:45 AM - Einars

Status: Closed Start date: 05/25/2018

Priority: Normal (Code 4) Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Description

Found problem:

When I set debug level to 1 for cconfsrv or other service on boot it logs debug from 3-5 level.

@Server exit: 0, id: 2

Server exit: 0, id: 1

N:NDRX:4:00000000:    0:7fa2769d48c0:000:20180525:043709430:inbase.c:0179:No plugins defined by NDRX_PLUGINS env

 variable

N:NDRX:5:00000000:    0:7fa2769d48c0:000:20180525:043709430:config.c:0414:CC tag set to: []

N:NDRX:5:00000000:    0:7fa2769d48c0:000:20180525:043709430:inicfg.c:0114:_ndrx_inicfg_new: load_global_env: 1

N:NDRX:5:00000000:    0:7fa2769d48c0:000:20180525:043709430:config.c:0306:have config at slot [0] [/stronghold/endurox/conf]

N:NDRX:5:00000000:    0:7fa2769d48c0:000:20180525:043709430:config.c:0381:_ndrx_cconfig_load_pass: ret: 0 is_internal: 1

 G_tried_to_load: 1

N:NDRX:5:00000000:    0:7fa2769d48c0:000:20180525:043709430:inicfg.c:0114:_ndrx_inicfg_new: load_global_env: 1

N:NDRX:5:00000000:    0:7fa2769d48c0:000:20180525:043709430:config.c:0306:have config at slot [0] [/stronghold/endurox/conf]

N:NDRX:5:00000000:    0:7fa2769d48c0:000:20180525:043709430:config.c:0381:_ndrx_cconfig_load_pass: ret: 0 is_internal: 1

 G_tried_to_load: 1

N:NDRX:4:00000000:    0:7ff0fc72d8c0:000:20180525:043709441:inbase.c:0179:No plugins defined by NDRX_PLUGINS env

 variable@

History

#1 - 05/25/2018 08:49 AM - Madars

Seems problem is here:

0125 /**

0126  * Reply the cached log to the real/initilaized logger

0127  * @param dbg logger (after init)

0128  */

0129 expublic void ndrx_dbg_reply_memlog(ndrx_debug_t *dbg)

0130 {

0131     ndrx_memlogger_t *line, *tmp;

0132

0133     /* This shall be done by one thread only...

0134      * Thus we need a lock.

0135      */

0136     MUTEX_LOCK_V(M_memlog_lock);

0137     DL_FOREACH_SAFE(dbg->memlog, line, tmp)

0138     {

0139         if (dbg->level <= dbg->level) <<<< I guess should be line->level <= dbg->level :)

0140         {

0141             BUFFERED_PRINT_LINE(dbg, line->line)

0142         }

0143

0144         DL_DELETE(dbg->memlog, line);

0145         NDRX_FREE(line);

0146     }

0147     MUTEX_UNLOCK_V(M_memlog_lock);

0148 }
#2 - 05/25/2018 08:49 AM - Madars

- Description updated

#3 - 05/25/2018 08:56 AM - Madars

Fixed in upcoming Enduro/X 5.4

#4 - 05/25/2018 08:59 AM - Madars

- Status changed from New to Resolved

- % Done changed from 0 to 100

unit test shall be produced for this.

#5 - 05/26/2018 11:19 AM - Madars

Done in 5.4

#6 - 05/26/2018 11:19 AM - Madars

- Status changed from Resolved to Closed
